Opened 4 years ago

Closed 20 months ago

#24 closed Bug / Defect (wontfix)

Migrate OpenVPN auto-proxy code from "IE4 API" to "InternetQueryOption API"

Reported by: samuli Owned by:
Priority: minor Milestone:
Component: Generic / unclassified Version: 2.1.0 / 2.1.1
Severity: Not set (if unsure, select this one) Keywords:
Cc:

Description

OpenVPN's auto-proxy code uses old "IE4 API" instead of the newer (WinXP->) "InternetQueryOption? API", which is causing problems for some people. OpenVPN should be changed to use the newer API.

This issue has been discussed in detail in this IRC meeting and in this email thread.

Change History (1)

comment:1 Changed 20 months ago by dazo

  • Resolution set to wontfix
  • Status changed from new to closed

The auto-proxy code has been removed from OpenVPN and will be put inside the OpenVPN GUI instead. Closing this one.

Note: See TracTickets for help on using tickets.